ur_rna.RNAstructureUI.windows

## Class PredictMultiStructureWindow

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JInternalFrame
        - - ur_rna.RNAstructureUI.windows.InternalWindow
          - - ur_rna.RNAstructureUI.windows.PredictWindowBase
            - - ur_rna.RNAstructureUI.windows.PredictMultiStructureWindow

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class PredictMultiStructureWindow
      extends PredictWindowBase

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `PredictMultiStructureWindow.PredictTask`
    `private class` | `PredictMultiStructureWindow.SequenceItem`

    - ### Nested classes/interfaces inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `PredictWindowBase.BackgroundTask, PredictWindowBase.FieldInfo, PredictWindowBase.FileFieldInfo, PredictWindowBase.PredictTaskBase`

    - ### Nested classes/interfaces inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `InternalWindow.CommandInfo`

    - ### Nested classes/interfaces inherited from class javax.swing.JInternalFrame

      `javax.swing.JInternalFrame.AccessibleJInternalFrame, javax.swing.JInternalFrame.JDesktopIcon`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `_seqInfoUpdating`
    `private javax.swing.JButton` | `btnCancelTask`
    `private javax.swing.JButton` | `btnClearList`
    `private javax.swing.JButton` | `btnMoveDn`
    `private javax.swing.JButton` | `btnMoveUp`
    `private javax.swing.JButton` | `btnRemove`
    `private javax.swing.JButton` | `btnResetAll`
    `private javax.swing.JButton` | `btnResetMultiOptions`
    `private javax.swing.JButton` | `btnResetOptions`
    `private javax.swing.JButton` | `btnResetTurboOptions`
    `private javax.swing.JButton` | `btnStartCalc`
    `private javax.swing.JCheckBox` | `chkAllowBaseInserts`
    `private javax.swing.JCheckBox` | `chkShowDescription`
    `private javax.swing.JComboBox` | `cmbTurboMode`
    `private javax.swing.JPanel` | `contentPanel`
    `private java.util.HashMap<javax.swing.JComponent,java.lang.Object>` | `defaultOptionValues`
    `private javax.swing.JLabel` | `lblBaseInserts`
    `private javax.swing.JLabel` | `lblOptionWarning`
    `private javax.swing.JLabel` | `lblProgressPercent`
    `private javax.swing.JLabel` | `lblTaskStatus`
    `private javax.swing.JLabel` | `lblToolDescription`
    `private javax.swing.JList<PredictMultiStructureWindow.SequenceItem>` | `lstSeqs`
    `private java.util.ArrayList<javax.swing.JComponent>` | `optionsControls`
    `private javax.swing.JPanel` | `pnlMultiOptions`
    `private javax.swing.JPanel` | `pnlOptions`
    `private javax.swing.JPanel` | `pnlOutput`
    `private javax.swing.JPanel` | `pnlSeqInfo`
    `private javax.swing.JPanel` | `pnlSequences`
    `private javax.swing.JPanel` | `pnlTaskStatus`
    `private javax.swing.JPanel` | `pnlTurboOptions`
    `private javax.swing.JProgressBar` | `prgTaskProgress`
    `private java.util.ArrayList<PredictMultiStructureWindow.SequenceItem>` | `seqList`
    `private static long` | `serialVersionUID`
    `private java.util.ArrayList<javax.swing.JComponent>` | `settingsControls`
    `private java.lang.String` | `settingsNodeName`
    `private javax.swing.JSpinner` | `spnMultiAlnSize`
    `private javax.swing.JSpinner` | `spnMultiDsvChange`
    `private javax.swing.JSpinner` | `spnMultiGapPenalty`
    `private javax.swing.JSpinner` | `spnMultiIterations`
    `private javax.swing.JSpinner` | `spnMultiMaxEnergyDiff`
    `private javax.swing.JSpinner` | `spnMultiMaxPairs`
    `private javax.swing.JSpinner` | `spnMultiMaxStructures`
    `private javax.swing.JSpinner` | `spnMultiWindowSize`
    `private javax.swing.JSpinner` | `spnTemperature`
    `private javax.swing.JSpinner` | `spnTurboGamma`
    `private javax.swing.JSpinner` | `spnTurboIterations`
    `private javax.swing.JSpinner` | `spnTurboMaxEnergyDiff`
    `private javax.swing.JSpinner` | `spnTurboMaxStructures`
    `private javax.swing.JSpinner` | `spnTurboMEAGamma`
    `private javax.swing.JSpinner` | `spnTurboMinHelix`
    `private javax.swing.JSpinner` | `spnTurboPKIterations`
    `private javax.swing.JSpinner` | `spnTurboThreshold`
    `private javax.swing.JSpinner` | `spnTurboWindowSize`
    `private javax.swing.JTabbedPane` | `tabControls`
    `private javax.swing.JTextField` | `txtMSeqFile`
    `private javax.swing.JTextField` | `txtOutputFile`
    `private javax.swing.JTextField` | `txtSeqFile`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `numberFormatter, pnlClient, pnlContent, TEMP_37C`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `backend, changeListener, frameListener, log, warnings`

    - ### Fields inherited from class javax.swing.JInternalFrame

      `closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredictMultiStructureWindow()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `$$$getRootComponent$$$()`
    `private void` | `$$$setupUI$$$()` Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
    `(package private) void` | `addOptionControls(javax.swing.JComponent parent)`
    `private void` | `addSequence(java.lang.String label, java.lang.String seqFile, java.lang.String ctFile)`
    `private void` | `addSequenceFile(java.lang.String path, boolean multiSeq)`
    `private void` | `calcComplete(PredictMultiStructureWindow.PredictTask task)`
    `private void` | `createUIComponents()`
    `private void` | `deleteSequence(PredictMultiStructureWindow.SequenceItem seq)`
    `private PredictMultiStructureWindow.SequenceItem` | `getSelectedSequence()`
    `protected void` | `handleSettings(boolean writeValues)`
    `private void` | `loadSequenceInfo(PredictMultiStructureWindow.SequenceItem seq)`
    `private void` | `loadSettingsDefaults()`
    `private void` | `moveSequence(PredictMultiStructureWindow.SequenceItem seq, int direction)`
    `private void` | `onSequenceSelected(javax.swing.event.ListSelectionEvent e)`
    `protected void` | `processCommand(InternalWindow.CommandInfo ci)` Perform an action specific to this window.
    `private void` | `refreshSeqList()`
    `private void` | `refreshSeqList(boolean reselect)`
    `private void` | `refreshSeqList(PredictMultiStructureWindow.SequenceItem selectAfterRefresh)`
    `private void` | `resetOptionsInPanel(javax.swing.JComponent parent)`
    `private void` | `runCalc()`
    `private void` | `setSelectedSequence(PredictMultiStructureWindow.SequenceItem sel)`
    `private void` | `setTaskStatus(int progress, java.lang.String status)`
    `void` | `showWindow()` View the window.
    `protected void` | `updateFormUI()` Called periodically by a timer to update the user interface.
    `private void` | `updateSequenceInfoFromUI()`
    `private boolean` | `verifyInput()`

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `actionPerformed, addField, addFileField, addFileField, addFileField, autoSetFieldNames, browseFile, browseFile, browseRecentFile, cancelRunningTask, enableDescendants, focusField, formatValue, frameClosing, getControlDescription, getControlValue, getFileField, getFileField, getRunningTask, getSettingsName, getSpin, getSpinDbl, getSpinInt, handleRecentControlValues, launchDrawing, listenForActions, listenForActions, listenForActions, loadRecent, pack, runInBackground, saveRecent, saveRecentFiles, setContent, setControlValue, setSpin, setSpin, setSpin, setSpin, setSpin, setSpin, startUiTimer, stopUiTimer, stripControlPrefix, validateFailed, validateFileField, validateFileField, validateRequiredField`

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `createCustomMenus, frameActivated, frameClosed, getCustomMenus, invokeCommand, invokeCommand, invokeCommand, isActiveFrame, notifyUpdated, onFocusGained, propertyChanged, setCaption, setCustomMenus`

    - ### Methods inherited from class javax.swing.JInternalFrame

      `addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLastCursor, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getTitle, getUI, getUIClassID, getWarningString, hide, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, paintComponent, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setCursor, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setTitle, setUI, show, toBack, toFront, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _seqInfoUpdating

          private boolean _seqInfoUpdating

    - #### btnCancelTask

          private javax.swing.JButton btnCancelTask

    - #### btnClearList

          private javax.swing.JButton btnClearList

    - #### btnMoveDn

          private javax.swing.JButton btnMoveDn

    - #### btnMoveUp

          private javax.swing.JButton btnMoveUp

    - #### btnRemove

          private javax.swing.JButton btnRemove

    - #### btnResetAll

          private javax.swing.JButton btnResetAll

    - #### btnResetMultiOptions

          private javax.swing.JButton btnResetMultiOptions

    - #### btnResetOptions

          private javax.swing.JButton btnResetOptions

    - #### btnResetTurboOptions

          private javax.swing.JButton btnResetTurboOptions

    - #### btnStartCalc

          private javax.swing.JButton btnStartCalc

    - #### chkAllowBaseInserts

          private javax.swing.JCheckBox chkAllowBaseInserts

    - #### chkShowDescription

          private javax.swing.JCheckBox chkShowDescription

    - #### cmbTurboMode

          private javax.swing.JComboBox cmbTurboMode

    - #### contentPanel

          private javax.swing.JPanel contentPanel

    - #### defaultOptionValues

          private java.util.HashMap<javax.swing.JComponent,java.lang.Object> defaultOptionValues

    - #### lblBaseInserts

          private javax.swing.JLabel lblBaseInserts

    - #### lblOptionWarning

          private javax.swing.JLabel lblOptionWarning

    - #### lblProgressPercent

          private javax.swing.JLabel lblProgressPercent

    - #### lblTaskStatus

          private javax.swing.JLabel lblTaskStatus

    - #### lblToolDescription

          private javax.swing.JLabel lblToolDescription

    - #### lstSeqs

          private javax.swing.JList<PredictMultiStructureWindow.SequenceItem> lstSeqs

    - #### optionsControls

          private java.util.ArrayList<javax.swing.JComponent> optionsControls

    - #### pnlMultiOptions

          private javax.swing.JPanel pnlMultiOptions

    - #### pnlOptions

          private javax.swing.JPanel pnlOptions

    - #### pnlOutput

          private javax.swing.JPanel pnlOutput

    - #### pnlSeqInfo

          private javax.swing.JPanel pnlSeqInfo

    - #### pnlSequences

          private javax.swing.JPanel pnlSequences

    - #### pnlTaskStatus

          private javax.swing.JPanel pnlTaskStatus

    - #### pnlTurboOptions

          private javax.swing.JPanel pnlTurboOptions

    - #### prgTaskProgress

          private javax.swing.JProgressBar prgTaskProgress

    - #### seqList

          private java.util.ArrayList<PredictMultiStructureWindow.SequenceItem> seqList

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### settingsControls

          private java.util.ArrayList<javax.swing.JComponent> settingsControls

    - #### settingsNodeName

          private final java.lang.String settingsNodeName

      See Also:
        Constant Field Values

    - #### spnMultiAlnSize

          private javax.swing.JSpinner spnMultiAlnSize

    - #### spnMultiDsvChange

          private javax.swing.JSpinner spnMultiDsvChange

    - #### spnMultiGapPenalty

          private javax.swing.JSpinner spnMultiGapPenalty

    - #### spnMultiIterations

          private javax.swing.JSpinner spnMultiIterations

    - #### spnMultiMaxEnergyDiff

          private javax.swing.JSpinner spnMultiMaxEnergyDiff

    - #### spnMultiMaxPairs

          private javax.swing.JSpinner spnMultiMaxPairs

    - #### spnMultiMaxStructures

          private javax.swing.JSpinner spnMultiMaxStructures

    - #### spnMultiWindowSize

          private javax.swing.JSpinner spnMultiWindowSize

    - #### spnTemperature

          private javax.swing.JSpinner spnTemperature

    - #### spnTurboGamma

          private javax.swing.JSpinner spnTurboGamma

    - #### spnTurboIterations

          private javax.swing.JSpinner spnTurboIterations

    - #### spnTurboMaxEnergyDiff

          private javax.swing.JSpinner spnTurboMaxEnergyDiff

    - #### spnTurboMaxStructures

          private javax.swing.JSpinner spnTurboMaxStructures

    - #### spnTurboMEAGamma

          private javax.swing.JSpinner spnTurboMEAGamma

    - #### spnTurboMinHelix

          private javax.swing.JSpinner spnTurboMinHelix

    - #### spnTurboPKIterations

          private javax.swing.JSpinner spnTurboPKIterations

    - #### spnTurboThreshold

          private javax.swing.JSpinner spnTurboThreshold

    - #### spnTurboWindowSize

          private javax.swing.JSpinner spnTurboWindowSize

    - #### tabControls

          private javax.swing.JTabbedPane tabControls

    - #### txtMSeqFile

          private javax.swing.JTextField txtMSeqFile

    - #### txtOutputFile

          private javax.swing.JTextField txtOutputFile

    - #### txtSeqFile

          private javax.swing.JTextField txtSeqFile

  - ### Constructor Detail

    - #### PredictMultiStructureWindow

          public PredictMultiStructureWindow()

      Constructor.

  - ### Method Detail

    - #### $$$getRootComponent$$$

          public javax.swing.JComponent $$$getRootComponent$$$()

      No IDE Inspections
        ALL

    - #### $$$setupUI$$$

          private void $$$setupUI$$$()

      Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
      No IDE Inspections
        ALL

    - #### addOptionControls

          void addOptionControls(javax.swing.JComponent parent)

    - #### addSequence

          private void addSequence(java.lang.String label,
                                   java.lang.String seqFile,
                                   java.lang.String ctFile)

    - #### addSequenceFile

          private void addSequenceFile(java.lang.String path,
                                       boolean multiSeq)

    - #### calcComplete

          private void calcComplete(PredictMultiStructureWindow.PredictTask task)

    - #### createUIComponents

          private void createUIComponents()

    - #### deleteSequence

          private void deleteSequence(PredictMultiStructureWindow.SequenceItem seq)

    - #### getSelectedSequence

          private PredictMultiStructureWindow.SequenceItem getSelectedSequence()

    - #### handleSettings

          protected void handleSettings(boolean writeValues)

      Specified by:
        `handleSettings` in class `PredictWindowBase`

    - #### loadSequenceInfo

          private void loadSequenceInfo(PredictMultiStructureWindow.SequenceItem seq)

    - #### loadSettingsDefaults

          private void loadSettingsDefaults()

    - #### moveSequence

          private void moveSequence(PredictMultiStructureWindow.SequenceItem seq,
                                    int direction)

    - #### onSequenceSelected

          private void onSequenceSelected(javax.swing.event.ListSelectionEvent e)

    - #### processCommand

          protected void processCommand(InternalWindow.CommandInfo ci)

      Description copied from class: `InternalWindow`
      Perform an action specific to this window.
      Overrides:
        `processCommand` in class `InternalWindow`
      Parameters:
        `ci` - Information about the command.

    - #### refreshSeqList

          private void refreshSeqList()

    - #### refreshSeqList

          private void refreshSeqList(boolean reselect)

    - #### refreshSeqList

          private void refreshSeqList(PredictMultiStructureWindow.SequenceItem selectAfterRefresh)

    - #### resetOptionsInPanel

          private void resetOptionsInPanel(javax.swing.JComponent parent)

    - #### runCalc

          private void runCalc()

    - #### setSelectedSequence

          private void setSelectedSequence(PredictMultiStructureWindow.SequenceItem sel)

    - #### setTaskStatus

          private void setTaskStatus(int progress,
                                     java.lang.String status)

    - #### showWindow

          public void showWindow()

      Description copied from class: `InternalWindow`
      View the window.
      Overrides:
        `showWindow` in class `PredictWindowBase`

    - #### updateFormUI

          protected void updateFormUI()

      Description copied from class: `PredictWindowBase`
      Called periodically by a timer to update the user interface.
      Specified by:
        `updateFormUI` in class `PredictWindowBase`

    - #### updateSequenceInfoFromUI

          private void updateSequenceInfoFromUI()

    - #### verifyInput

          private boolean verifyInput()